summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Seifert <soap@gentoo.org>2016-03-15 19:07:28 +0100
committerDavid Seifert <soap@gentoo.org>2016-03-15 19:07:44 +0100
commit5ea20bcfdd6bd1a950c02220069da01574721969 (patch)
tree5c6cfca8bc2b2b58aec6d1683427e22427b0922b /dev-cpp/asio
parenttoolchain.eclass: use versioned SLOT all the time (diff)
downloadgentoo-5ea20bcfdd6bd1a950c02220069da01574721969.tar.gz
gentoo-5ea20bcfdd6bd1a950c02220069da01574721969.tar.bz2
gentoo-5ea20bcfdd6bd1a950c02220069da01574721969.zip
dev-cpp/asio: bump to latest 1.10.6 stable release
Gentoo-Bug: 568332 * EAPI=6 * ebuild by Brian Evans Package-Manager: portage-2.2.28
Diffstat (limited to 'dev-cpp/asio')
-rw-r--r--dev-cpp/asio/Manifest1
-rw-r--r--dev-cpp/asio/asio-1.10.6.ebuild47
2 files changed, 48 insertions, 0 deletions
diff --git a/dev-cpp/asio/Manifest b/dev-cpp/asio/Manifest
index 800fe86583c..1ee047dae6b 100644
--- a/dev-cpp/asio/Manifest
+++ b/dev-cpp/asio/Manifest
@@ -1,2 +1,3 @@
+DIST asio-1.10.6.tar.bz2 1266180 SHA256 e0d71c40a7b1f6c1334008fb279e7361b32a063e020efd21e40d9d8ff037195e SHA512 7146e75a378de57daab88e7ba509ae01367ffa0d7c4c90481e221977a6b9f4fd80e9caac5c6b4c27bc7652e44cd210e2c6cabf5681d7c62747df14bbc25e8c23 WHIRLPOOL c557736ff07ef15f2963bc64150c6f6c514f2cd0099f0c79588e79aef7148ff1f8478e5be4c6f4ed97f90792a85095c8190aba1891ccc605d53f00bea3497b32
DIST asio-1.4.5.tar.bz2 877613 SHA256 33fcb5bdd88ec0833b0069b5d1e4aba6a257b1f55f728274dfca5316e99901ff SHA512 571f0bc183956c9bc6fa4150bdcdbf38e81b713e054a5d981be246b00058cef9fe7ac8f6f4d33993f183867cc57a0f75b2cbc480674277b1b491c62db89f9bf4 WHIRLPOOL 6f39c82c6794017868a482d59b7a887db92a08c2c02eb8bb002a0d94193936ece4d675ffbbbcfd182c4ad3f0a3580210a7e639714b172b9e313395a1818c37a8
DIST asio-1.4.8.tar.bz2 907503 SHA256 8d6a594c15ef10b5779d0e80adb9483be1cd36f7ada401b40aa7df85559b1fb9 SHA512 74755767a90e87963352233ba0b1b865197262fc3fc2f2fa4446340d910de0f146454bf1b46736bb81aff4518bc64db1ee74f79966bcc1382774408468dd0540 WHIRLPOOL 646bec38ca0c7654fef93e2430ae61b09d08f26daeea464d2fb13487ef7ebc0345007e98909880c9428fe66bac5f0a102b95cc4b86ffaca4c6a4638bf20aa242
diff --git a/dev-cpp/asio/asio-1.10.6.ebuild b/dev-cpp/asio/asio-1.10.6.ebuild
new file mode 100644
index 00000000000..4d808206e14
--- /dev/null
+++ b/dev-cpp/asio/asio-1.10.6.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+DESCRIPTION="Asynchronous Network Library"
+HOMEPAGE="http://asio.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
+
+LICENSE="Boost-1.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="doc examples ssl test"
+
+RDEPEND="ssl? ( dev-libs/openssl:0= )
+ >=dev-libs/boost-1.35.0"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ if ! use test; then
+ # Don't build nor install any examples or unittests
+ # since we don't have a script to run them
+ cat > src/Makefile.in <<-EOF
+all:
+
+install:
+ EOF
+ fi
+ default
+}
+
+src_install() {
+ default
+
+ if use examples; then
+ if use test; then
+ # Get rid of the object files
+ emake clean
+ fi
+ dodoc -r src/examples
+ fi
+ if use doc; then
+ docinto /usr/share/doc/${PF}/html
+ dodoc -r doc/*
+ fi
+}